#include <iostream>
#include <string>
#include "phoneNumber.h"
#include "date.h"
#include "email.h"
#include "mailingAddress.h"
#include "semester.h"
#include "student.h"

using namespace std;

int main() {
    
    string phoneNumberStr, numberTypeStr;
    int phoneNumberID;
    cout << "Student Data Base System";
    cout << "Enter phone number: ";
    getline(cin, phoneNumberStr);
    cout << "Enter number type: ";
    getline(cin, numberTypeStr);
    cout << "Enter phone number ID: ";
    cin >> phoneNumberID;
    cin.ignore(); 

    // Create phoneNumber object
    phoneNumber phone(phoneNumberStr, numberTypeStr, phoneNumberID);

    // Input date details
    int day, month, year;
    cout << "Enter day: ";
    cin >> day;
    cout << "Enter month: ";
    cin >> month;
    cout << "Enter year: ";
    cin >> year;

    // Create date object
    date currentDate(day, month, year);

    cin.ignore(); 

    // Input email details
    string emailAddress;
    int studentID;
    cout << "Enter email address: ";
    getline(cin, emailAddress);
    cout << "Enter student ID: ";
    cin >> studentID;
    cin.ignore(); 

    // Create email object
    email studentEmail(emailAddress, studentID);

    // Input mailing address details
    string address, city, state, postalCode;
    cout << "Enter address: ";
    getline(cin, address);
    cout << "Enter city: ";
    getline(cin, city);
    cout << "Enter state: ";
    getline(cin, state);
    cout << "Enter postal code: ";
    getline(cin, postalCode);
    cout << "Enter student ID: ";
    cin >> studentID;
    cin.ignore(); 

    // Create mailingAddress object
    mailingAddress studentAddress(address, city, state, postalCode, studentID);

    // Input semester details
    string semesterName;
    cout << "Enter semester name: ";
    getline(cin, semesterName);
    cout << "Enter year: ";
    cin >> year;
    cin.ignore(); 

    
    semester currentSemester(semesterName, year);

    // Input student details
    string studentName;
    cout << "Enter student name: ";
    getline(cin, studentName);
    cout << "Enter student ID: ";
    cin >> studentID;
    cin.ignore(); 

    
    student currentStudent(studentName, studentID);

    // Display the input details
    cout << "Student Information:\n";
    currentStudent.displayStudent();

    cout << "\nPhone Number:\n";
    phone.displayPNumber();

    cout << "\nDate:\n";
    currentDate.displayDate();

    cout << "\nEmail:\n";
    studentEmail.displayEmail();

    cout << "\nMailing Address:\n";
    studentAddress.displayAddress();

    cout << "\nSemester:\n";
    currentSemester.displaySemester();

    return 0;
}
